{
    "variants":
    {
        "snowy=false":
        [
            {"model": "minecraft:block/soil/grass/grass_block", "weight":100},
            {"model": "minecraft:block/soil/grass/grass_block1", "weight":50},
            {"model": "minecraft:block/soil/grass/grass_block2", "weight":30},
            {"model": "minecraft:block/soil/grass/grass_block_rock1", "weight":2},
            {"model": "minecraft:block/soil/grass/grass_block_rock2", "weight":2},
            {"model": "minecraft:block/soil/grass/grass_block_rock3", "weight":2},
            {"model": "minecraft:block/soil/grass/grass_block_flower1", "weight":1},
            {"model": "minecraft:block/soil/grass/grass_block_flower2", "weight":1},
            {"model": "minecraft:block/soil/grass/grass_block_clovers1", "weight":5},
            {"model": "minecraft:block/soil/grass/grass_block_clovers2", "weight":5}
        ],
        "snowy=true":
        {
            "model": "minecraft:block/soil/grass/grass_block_snow"
        }
    }
}